> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shieldbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Conversation Public



## OpenAPI

````yaml post /external/start-conversation
openapi: 3.0.2
info:
  title: Shieldbase AI
  version: 1.0.0
servers: []
security: []
paths:
  /external/start-conversation:
    post:
      tags:
        - public
      summary: Start Conversation Public
      operationId: start_conversation_public_external_start_conversation_post
      parameters:
        - required: true
          schema:
            title: Client-Id
            type: string
          name: client-id
          in: header
        - required: true
          schema:
            title: Private-Key
            type: string
          name: private-key
          in: header
        - required: true
          schema:
            title: Secret
            type: string
          name: secret
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                model:
                  type: string
              required:
                - message
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversation_id:
                    type: string
                  title:
                    type: string
                  messages:
                    type: object
                    properties:
                      id:
                        type: string
                      text:
                        type: string
                      redacted:
                        type: string
                      synthetic:
                        type: string
                      ner_count:
                        type: integer
                        example: 0
                      response:
                        type: string
                      ner_items:
                        type: array
                        items:
                          type: string
                        example: []
                      timestamp:
                        type: string
                        format: date-time
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: cURL
          source: >-
            curl --location
            'https://app.sbai.cloud/api/external/start-conversation' \

            --header 'client-id: your-client-id' \

            --header 'private-key: your-private-key' \

            --header 'secret: your-secret' \

            --header 'Content-Type: application/json' \

            --data '{
                "message": "about data gmail and dropbox",
                "model": "gpt-4o"
            }'
        - lang: Python
          source: |-
            import requests

            url = 'https://app.sbai.cloud/api/external/start-conversation'
            headers = {
                'client-id': '0fbc9cf2-595a-4068-a643-a58d764514df',
                'private-key': 'pk-5d72029b',
                'secret': 'sk-5d72029b34dbc6c89f837ec8f2413b734fd37b2a681bd2f58d',
                'Content-Type': 'application/json'
            }
            data = {
                "message": "about data gmail and dropbox",
                "model": "gpt-4o"
            }

            response = requests.post(url, headers=headers, json=data)
            print(response.json())
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string

````